python2-lesscpy-0.13.0-1.1.noarch.rpm


Advertisement

Description

python2-lesscpy - Lesscss compiler

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-lesscpy-0.13.0-1.1.noarch.rpm
Package name python2-lesscpy
Package version 0.13.0
Package release 1.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/lesscpy/lesscpy
License MIT
Maintainer -
Download size 86.63 KB
Installed size 328.35 KB
python LessCss Compiler.
A compiler written in python 3 for the lesscss language.
For those of us not willing/able to have node.js installed in our environment.
Not all features of lesscss are supported (yet).
Some features wil probably never be supported (JavaScript evaluation).
This program uses PLY (Python Lex-Yacc) to tokenize/parse the input.

Alternatives

Package Version Architecture Repository
python2-lesscpy - - -

Requires

Name Value
/usr/bin/python2 -
python(abi) = 2.7
python2-ply -
python2-six -
update-alternatives -

Provides

Name Value
python-lesscpy = 0.13.0-1.1
python2-lesscpy = 0.13.0-1.1

Obsoletes

Name Value
python-lesscpy < 0.13.0-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-lesscpy-0.13.0-1.1.noarch.rpm
Source Package python-lesscpy-0.13.0-1.1.src.rpm

Install Howto

Install python2-lesscpy rpm package:

# zypper install python2-lesscpy

Files

Path
/etc/alternatives/lesscpy
/usr/bin/lesscpy
/usr/bin/lesscpy-2.7
/usr/lib/python2.7/site-packages/lesscpy/__init__.py
/usr/lib/python2.7/site-packages/lesscpy/__init__.pyc
/usr/lib/python2.7/site-packages/lesscpy/__init__.pyo
/usr/lib/python2.7/site-packages/lesscpy/__main__.py
/usr/lib/python2.7/site-packages/lesscpy/__main__.pyc
/usr/lib/python2.7/site-packages/lesscpy/__main__.pyo
/usr/lib/python2.7/site-packages/lesscpy/exceptions.py
/usr/lib/python2.7/site-packages/lesscpy/exceptions.pyc
/usr/lib/python2.7/site-packages/lesscpy/exceptions.pyo
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/lesscpy-0.13.0-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/lesscpy/lessc/__init__.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/__init__.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/__init__.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/color.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/color.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/color.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/formatter.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/formatter.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/formatter.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/lexer.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/lexer.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/lexer.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/parser.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/parser.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/parser.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/scope.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/scope.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/scope.pyo
/usr/lib/python2.7/site-packages/lesscpy/lessc/utility.py
/usr/lib/python2.7/site-packages/lesscpy/lessc/utility.pyc
/usr/lib/python2.7/site-packages/lesscpy/lessc/utility.pyo
/usr/lib/python2.7/site-packages/lesscpy/lib/__init__.py
/usr/lib/python2.7/site-packages/lesscpy/lib/__init__.pyc
/usr/lib/python2.7/site-packages/lesscpy/lib/__init__.pyo
/usr/lib/python2.7/site-packages/lesscpy/lib/colors.py
/usr/lib/python2.7/site-packages/lesscpy/lib/colors.pyc
/usr/lib/python2.7/site-packages/lesscpy/lib/colors.pyo
/usr/lib/python2.7/site-packages/lesscpy/lib/css.py
/usr/lib/python2.7/site-packages/lesscpy/lib/css.pyc
/usr/lib/python2.7/site-packages/lesscpy/lib/css.pyo
/usr/lib/python2.7/site-packages/lesscpy/lib/dom.py
/usr/lib/python2.7/site-packages/lesscpy/lib/dom.pyc
/usr/lib/python2.7/site-packages/lesscpy/lib/dom.pyo
/usr/lib/python2.7/site-packages/lesscpy/lib/reserved.py
/usr/lib/python2.7/site-packages/lesscpy/lib/reserved.pyc
/usr/lib/python2.7/site-packages/lesscpy/lib/reserved.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/__init__.py
/usr/lib/python2.7/site-packages/lesscpy/plib/__init__.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/__init__.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/block.py
/usr/lib/python2.7/site-packages/lesscpy/plib/block.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/block.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/call.py
/usr/lib/python2.7/site-packages/lesscpy/plib/call.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/call.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/deferred.py
/usr/lib/python2.7/site-packages/lesscpy/plib/deferred.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/deferred.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/expression.py
/usr/lib/python2.7/site-packages/lesscpy/plib/expression.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/expression.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/identifier.py
/usr/lib/python2.7/site-packages/lesscpy/plib/identifier.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/identifier.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/import_.py
/usr/lib/python2.7/site-packages/lesscpy/plib/import_.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/import_.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/keyframe_selector.py
/usr/lib/python2.7/site-packages/lesscpy/plib/keyframe_selector.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/keyframe_selector.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/mixin.py
/usr/lib/python2.7/site-packages/lesscpy/plib/mixin.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/mixin.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/negated_expression.py
/usr/lib/python2.7/site-packages/lesscpy/plib/negated_expression.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/negated_expression.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/node.py
/usr/lib/python2.7/site-packages/lesscpy/plib/node.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/node.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/property.py
/usr/lib/python2.7/site-packages/lesscpy/plib/property.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/property.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/statement.py
/usr/lib/python2.7/site-packages/lesscpy/plib/statement.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/statement.pyo
/usr/lib/python2.7/site-packages/lesscpy/plib/variable.py
/usr/lib/python2.7/site-packages/lesscpy/plib/variable.pyc
/usr/lib/python2.7/site-packages/lesscpy/plib/variable.pyo
/usr/lib/python2.7/site-packages/lesscpy/scripts/__init__.py
/usr/lib/python2.7/site-packages/lesscpy/scripts/__init__.pyc
/usr/lib/python2.7/site-packages/lesscpy/scripts/__init__.pyo
/usr/lib/python2.7/site-packages/lesscpy/scripts/compiler.py
/usr/lib/python2.7/site-packages/lesscpy/scripts/compiler.pyc
/usr/lib/python2.7/site-packages/lesscpy/scripts/compiler.pyo
/usr/share/doc/packages/python2-lesscpy/README.rst
/usr/share/licenses/python2-lesscpy/LICENSE

Changelog

2019-02-28 - John Vandenberg <jayvdb@gmail.com>
- Fix incorrect URL
- Remove unnecessary build dependencies on flake8 and coverage by
using nose directly
- Add fdupes
- Update to v0.13.0
Version bump due to non-linear version sequences
https://github.com/lesscpy/lesscpy/issues/94
No changelog available
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2017-08-31 - toddrme2178@gmail.com
- update to 0.12.0
* no changelog available
2017-08-24 - jmatejek@suse.com
- singlespec auto-conversion
2016-08-15 - toddrme2178@gmail.com
- Fix update-alternatives implementation.
2015-05-07 - benoit.monin@gmx.fr
- update to 0.10.2:
* no changelog available
- add python-setuptools and python-six as build dependencies
- add python-coverage, python-flake8 and python-nose as test
dependencies
- add python-six as runtime dependency
- remove some failing tests which rely on find_and_load_cases
- run the tests via setup.py
- fix alternatives for lesscpy binary
2014-11-08 - Led <ledest@gmail.com>
- fix bashism in pre script
2013-08-12 - speilicke@suse.com
- Update to version 0.9j
+ Support for SVG stylesheets
+ Increased lessc compatibility
+ Many testing improvements
- Use update-alternatives
2013-07-17 - speilicke@suse.com
- Update to version 0.9h
- Run testsuite
2012-02-29 - saschpe@suse.de
- Initial version

See Also

Package Description
python2-leveldb-0.20-2.1.i586.rpm Python bindings for leveldb database library
python2-leveldb-0.20-2.1.x86_64.rpm Python bindings for leveldb database library
python2-lexicon-1.0.0-3.2.noarch.rpm Python dict subclass(es) with aliasing and attribute access
python2-lhafile-0.2.2-1.2.i586.rpm LHA archive support for Python
python2-lhafile-0.2.2-1.2.x86_64.rpm LHA archive support for Python
python2-libarchive-0.4.6-1.1.noarch.rpm Python adapter for universal, libarchive-based archive access
python2-libarchive-c-2.8-2.2.noarch.rpm Python interface to libarchive
python2-libbde-0~20190317-1.1.i586.rpm Python 2 bindings for libbde, a Bitlocker Drive Encryption library
python2-libbde-0~20190317-1.1.x86_64.rpm Python 2 bindings for libbde, a Bitlocker Drive Encryption library
python2-libewf-0~20140608-7.1.i586.rpm Python 2 bindings for libewf, an Expert Witness Compression format library
python2-libewf-0~20140608-7.1.x86_64.rpm Python 2 bindings for libewf, an Expert Witness Compression format library
python2-libfsntfs-0~20160418-2.4.i586.rpm Python 2 bindings for libfsntfs
python2-libfsntfs-0~20160418-2.4.x86_64.rpm Python 2 bindings for libfsntfs
python2-libfvde-0~20160918-2.4.i586.rpm Python 2 bindings for libfvde
python2-libfvde-0~20160918-2.4.x86_64.rpm Python 2 bindings for libfvde
Advertisement
Advertisement